# --- Build stage ---
FROM node:19 AS build
ENV NODE_ENV=production
ENV ORIGIN=https://tatort.innovation-hub-niedersachsen.de
WORKDIR /app
COPY package*.json ./
RUN npm ci
COPY . ./
RUN npm run build

# --- Production stage ---
FROM node:19-alpine3.16
COPY --from=build /app .
ENV HOST=0.0.0.0
EXPOSE 4173
CMD ["sh", "-c", "ORIGIN=https://tatort.innovation-hub-niedersachsen.de node build/index.js"]

